﻿using System.Windows;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.Wpf;
using ThinkGeo.MapSuite.Drawing;

namespace MapSuite_Desktop_for_WPF_App1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private const string connectionString = "User ID=xxx;Password=xxx;Data Source=xxx.xxx.xxx.xxx/orcl;";

        private void map_Loaded(object sender, RoutedEventArgs e)
        {
            map.MapUnit = ThinkGeo.MapSuite.GeographyUnit.DecimalDegree;
            var oracleFeatureLayer = new OracleFeatureLayer(connectionString, "xxx", "xxx");
            oracleFeatureLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = new AreaStyle(new GeoSolidBrush(GeoColor.SimpleColors.Copper));
            oracleFeatureLayer.ZoomLevelSet.ZoomLevel01.DefaultLineStyle = new LineStyle(new GeoPen(new GeoSolidBrush(GeoColor.SimpleColors.Copper), 2.0f));
            oracleFeatureLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            oracleFeatureLayer.Open();
            var extent = oracleFeatureLayer.GetBoundingBox();
            oracleFeatureLayer.Close();

            map.CurrentExtent = extent;

            LayerOverlay overlay = new LayerOverlay();
            overlay.Layers.Add(oracleFeatureLayer);

            map.Overlays.Add(overlay);
            map.Refresh();
        }
    }
}
